import type { SwiperProps } from './swiper';
declare var __VLS_1: {}, __VLS_8: {}, __VLS_15: {};
type __VLS_Slots = {} & {
    left?: (props: typeof __VLS_1) => any;
} & {
    right?: (props: typeof __VLS_8) => any;
} & {
    default?: (props: typeof __VLS_15) => any;
};
declare const __VLS_base: import("vue").DefineComponent<SwiperProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<SwiperProps> & Readonly<{}>, {
    moveOffset: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
